Bug 948359 - (python-volatility) Review Request: python-volatility - a digital artifact extraction framework
Review Request: python-volatility - a digital artifact extraction framework
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-SECLAB
  Show dependency treegraph
 
Reported: 2013-04-04 12:18 EDT by Alon Levy
Modified: 2014-08-04 18:10 EDT (History)
7 users (show)

See Also:
Fixed In Version: python-volatility-2.3.1-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-09 22:13:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
i: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Alon Levy 2013-04-04 12:18:09 EDT
Spec URL: http://people.freedesktop.org/~alon/volatility-fedpkg/python-volatility.spec
SRPM URL: http://people.freedesktop.org/~alon/volatility-fedpkg/python-volatility-2.2-1.fc19.src.rpm

Description:
The Volatility Framework is a completely open collection of tools, implemented
in Python under the GNU General Public License, for the extraction of digital
artifacts from volatile memory (RAM) samples. The extraction techniques are
performed completely independent of the system being investigated but offer
unprecedented visibilty into the runtime state of the system. The framework is
intended to introduce people to the techniques and complexities associated with
extracting digital artifacts from volatile memory samples and provide a
platform for further work into this exciting area of research.

$ rpmlint python-volatility.spec
python-volatility.spec: W: invalid-url Source0: http://volatility.googlecode.com/files/volatility-2.2.tar.gz HTTP Error 404: Not Found
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

I have no idea why it gives this error, since the file is downloadable with wget.
Comment 1 Fabian Affolter 2013-04-21 09:04:25 EDT
Just some quick comments:

- Acc. to the package guidelines, the upstream *.egg stuff needs to be removed.
  https://fedoraproject.org/wiki/Packaging:Guidelines#No_inclusion_of_pre-built_binaries_or_libraries
- '%defattr' is obsolete.
  https://fedoraproject.org/wiki/Packaging:Guidelines#File_Permissions
- %clean is obsolete.
  https://fedoraproject.org/wiki/Packaging:Guidelines#.25clean
- Using macros will make it easier to maintain the package in the future.
- 'Group' is obsolete
  https://fedoraproject.org/wiki/Packaging:Guidelines#Group_tag
- License is not GPL. It's GPLv2+ (version 2 of the License, or (at your option) any later version.)
- The changelog is empty.
  https://fedoraproject.org/wiki/Packaging:Guidelines#Changelogs
- rpmlint output is more than you added. As you can see there are a couple of hints about errors in your spec file:
[fab@laptop011 reviews]$ rpmlint python-volatility-2.2-1.fc19.src.rpm 
python-volatility.src: W: spelling-error %description -l en_US visibilty -> visibility, risibility
python-volatility.src: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
python-volatility.src: E: no-changelogname-tag
python-volatility.src: W: invalid-license GPL
python-volatility.src: W: invalid-url Source0: http://volatility.googlecode.com/files/volatility-2.2.tar.gz HTTP Error 404: Not Found
1 packages and 0 specfiles checked; 1 errors, 4 warnings.
Comment 2 Mario Blättermann 2013-06-04 14:16:55 EDT
python-devel is deprecated, use python2-devel instead:
https://fedoraproject.org/wiki/Packaging:Python#BuildRequires

The initial cleaning of buildroot in %install and the defattr line in %files are obsolete.

(In reply to Alon Levy from comment #0)
> $ rpmlint python-volatility.spec
> python-volatility.spec: W: invalid-url Source0:
> http://volatility.googlecode.com/files/volatility-2.2.tar.gz HTTP Error 404:
> Not Found
> 0 packages and 1 specfiles checked; 0 errors, 1 warnings.
> 
> I have no idea why it gives this error, since the file is downloadable with
> wget.

Don't bother with that, it's a common problem with all Googlecode stuff. Doesn't need to be investigated, provided the file is downloadable with wget or any other tool.
Comment 3 Mario Blättermann 2013-07-12 07:45:25 EDT
Any news here...?
Comment 4 Christopher Meng 2013-08-15 04:58:15 EDT
I will take this package, needinfo again.
Comment 5 Alon Levy 2013-09-14 13:07:11 EDT
wrt egg stuff:

 The only files in there under the egg subdirectory are text files, and I see similar files in other packages, so no binaries in there:
usr/lib/python2.7/site-packages/volatility-2.2-py2.7.egg-info
usr/lib/python2.7/site-packages/volatility-2.2-py2.7.egg-info/dependency_links.txt
usr/lib/python2.7/site-packages/volatility-2.2-py2.7.egg-info/PKG-INFO
usr/lib/python2.7/site-packages/volatility-2.2-py2.7.egg-info/SOURCES.txt
usr/lib/python2.7/site-packages/volatility-2.2-py2.7.egg-info/top_level.tx

And in another package for example fedpkg:
$ rpm -ql fedpkg | grep egg
/usr/lib/python2.7/site-packages/fedpkg-1.14-py2.7.egg-info
/usr/lib/python2.7/site-packages/fedpkg-1.14-py2.7.egg-info/PKG-INFO
/usr/lib/python2.7/site-packages/fedpkg-1.14-py2.7.egg-info/SOURCES.txt
/usr/lib/python2.7/site-packages/fedpkg-1.14-py2.7.egg-info/dependency_links.txt
/usr/lib/python2.7/site-packages/fedpkg-1.14-py2.7.egg-info/top_level.txt

Other comments by Fabian and Mario addressed:
removed %defattr
removed Group
used python2-devel in BuildRequires
fixed spelling mistakes, verified with rpmlint
removed clean
updated license to GPLv2+
changelog updated

Updated spec file: http://gitorious.org/fedpkg-alon/python-volatility/source/6b7a3eb42e5040b1bdc0e27e656df318b3de6a8a:python-volatility.spec

Updated srpm: http://gitorious.org/fedpkg-alon/python-volatility/raw/97cabf7fc3b7d8a3c05548f348a27a79754c6592:python-volatility-2.2-1.fc19.src.rpm
Comment 6 Mario Blättermann 2013-09-14 13:30:24 EDT
(In reply to Alon Levy from comment #5)
> wrt egg stuff:
> 
>  The only files in there under the egg subdirectory are text files, and I
> see similar files in other packages, so no binaries in there:

Doesn't matter what the upstream egg contains. See http://fedoraproject.org/wiki/Packaging:Python_Eggs#Upstream_Eggs:

"Do not distribute eggs from upstream. In Fedora, all packages must be rebuilt from source. An egg package contains compiled bytecode and may, if it contains a C extension, contain compiled binary extensions as well. These are opaque structures with no guarantee that they were even built from the source distributed with the egg. If you must use an egg from upstream because they do not provide tarballs, you need to include it as a source in your spec, unzip it in %setup, and rebuild from the source files contained within it."

As long as the egg gets rebuilt properly with python-setuptools, there's no reason to ignore this rule.
Comment 7 Christopher Meng 2013-09-14 21:37:29 EDT
- Please remove egginfo before packaging it, this is a MUST.

- Missing BuildRequires:    python-setuptools

- Remove %clean section

- It's better to rename %{_bindir}/vol.py to %{_bindir}/vol if possible.

- Due to latest PG, %{python_sitelib} is obsoleted.

Please use %{python2_sitelib}, and same for %{__python} --> %{__python2} .

- Please track google code as Google will shut down the download function from 2014.

Source0: http://volatility.googlecode.com/files/volatility-2.2.tar.gz

should be

Source0: http://volatility.googlecode.com/files/volatility-%{version}.tar.gz

So you don't need to fix numbers each time update it.

Once above fixed, I will run fedora-review.
Comment 8 Alon Levy 2013-09-15 07:11:53 EDT
(In reply to Christopher Meng from comment #7)
> - Please remove egginfo before packaging it, this is a MUST.
>

I don't understand the insistance - I already pointed to fedpkg as an example of the opposite. Is fedpkg not in compliance?

The rest will be taken care of, thanks for the response.
Comment 9 Alon Levy 2013-09-15 09:39:21 EDT
Sorry for my misunderstanding, I didn't realize volatility-2.2.tar.gz had the egg info in it. I have fixed that issue and all the others.

http://gitorious.org/fedpkg-alon/python-volatility/source/8a5f1b3ebd367e5caa9e789d63feeb02e556663b:python-volatility.spec

http://gitorious.org/fedpkg-alon/python-volatility/raw/8a5f1b3ebd367e5caa9e789d63feeb02e556663b:python-volatility-2.2-2.fc20.src.rpm
Comment 10 Christopher Meng 2013-09-15 09:42:47 EDT
LOL.

I will run fedora-review later tomorrow(sleep), please understand me this time...
Comment 11 Christopher Meng 2013-09-15 20:47:34 EDT
Rpmlint (installed packages)
----------------------------
# rpmlint python-volatility
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/gui/vtypes/xp.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/addrspaces/ieee1394.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/constants.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/overlays/windows/xp_sp2_x86_syscalls.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/registry/hivescan.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/addrspace.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/linux/ifconfig.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/kdbgscan.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/gui/clipboard.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/moddump.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/win32/tasks.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/raw2dmp.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/overlays/windows/vista_sp0_x86_syscalls.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/gui/screenshot.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/gui/vtypes/win7.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/overlays/windows/kdbg_vtypes.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/addrspaces/hibernate.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/userassist.py
python-volatility.noarch: E: incorrect-fsf-address /usr/bin/vol
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/procdump.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/imageinfo.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/linux/tmpfs.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/gui/vtypes/win2003.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/overlays/basic.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/hibinfo.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/linux/check_fops.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/overlays/windows/win2003.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/linux/check_syscall.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/gui/eventhooks.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/linux/dmesg.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/malware/callbacks.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/overlays/windows/vista_sp12_x64_syscalls.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/malware/cmdhistory.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/ssdt.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/malware/timers.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/linux/flags.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/malware/idt.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/malware/malfind.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/linux/check_modules.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/win32/xpress.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/linux/pkt_queues.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/win32/lsasecrets.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/linux/lsof.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/win32/hive.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/sockscan.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/gui/windows.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/overlays/windows/win2003_sp12_x64_syscalls.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/linux/sk_buff_cache.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/linux/lsmod.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/modules.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/registry/printkey.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/linux/route_cache.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/linux/check_afinfo.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/gui/atoms.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/fmtspec.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/sockets.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/linux/pstree.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/strings.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/crashinfo.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/registry/registryapi.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/linux/find_file.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/addrspaces/lime.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/linux/check_creds.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/handles.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/linux/common.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/gui/windowstations.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/overlays/windows/win2003_sp0_x86_syscalls.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/gui/desktops.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/gui/gahti.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/linux/netstat.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/addrspaces/legacyintel.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/overlays/windows/win7_sp01_x64_syscalls.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/malware/devicetree.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/linux/mount.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/win32/domcachedump.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/overlays/windows/xp.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/timefmt.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/debug.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/registry/shimcache.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/linux/pslist_cache.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/linux/psxview.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/taskmods.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/linux/psaux.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/pstree.py
python-volatility.noarch: E: incorrect-fsf-address /usr/share/doc/python-volatility/LICENSE.txt
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/overlays/windows/win7_sp01_x86_syscalls.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/linux/iomem.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/getsids.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/kpcrscan.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/dlldump.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/evtlogs.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/obj.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/fileparam.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/addrspaces/crash.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/win32/modules.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/getservicesids.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/scan.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/commands.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/gui/sessions.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/addrspaces/amd64.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/gui/vtypes/vista.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/addrspaces/intel.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/imagecopy.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/gui/win32k_core.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/linux/pidhashtable.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/gui/gditimers.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/malware/psxview.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/linux/mount_cache.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/linux/check_idt.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/linux/proc_maps.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/dwarf.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/linux/dentry_cache.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/linux/slab_info.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/overlays/windows/kpcr_vtypes.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/connscan.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/overlays/windows/vista_sp0_x64_syscalls.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/volshell.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/modscan.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/linux/dump_map.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/patcher.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/malware/svcscan.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/win32/network.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/netscan.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/win32/rawreg.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/envars.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/overlays/linux/linux64.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/exceptions.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/win32/hashdump.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/linux/vma_cache.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/linux/pslist.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/overlays/windows/windows64.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/linux/cpuinfo.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/vadinfo.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/gui/userhandles.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/gui/messagehooks.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/addrspaces/standard.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/overlays/windows/tcpip_vtypes.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/overlays/windows/win7.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/malware/threads.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/overlays/windows/vista.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/registry/hivelist.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/overlays/windows/windows.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/registry/lsadump.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/overlays/windows/vista_sp12_x86_syscalls.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/gui/constants.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/linux/arp.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/overlays/windows/win2003_sp12_x86_syscalls.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/malware/impscan.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/utils.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/connections.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/win32/crashdump.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/linux/bash.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/overlays/linux/linux.py
python-volatility.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/volatility/plugins/filescan.py 0644L /usr/bin/env
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/malware/apihooks.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/bioskbd.py
python-volatility.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/volatility/plugins/common.py

*************

python-volatility.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/volatility/conf.py 0644L /usr/bin/env

*************
1 packages and 0 specfiles checked; 158 errors, 1 warnings.


Requires
--------
python-volatility (rpmlib, GLIBC filtered):
    /usr/bin/python2
    python(abi)



Provides
--------
python-volatility:
    python-volatility



Source checksums
----------------
http://volatility.googlecode.com/files/volatility-2.2.tar.gz :
  CHECKSUM(SHA256) this package     : 19bff19cbc909a63dfa6fcc1c6756f07b7c9575262ad6271571f5e9b266062ad
  CHECKSUM(SHA256) upstream package : 19bff19cbc909a63dfa6fcc1c6756f07b7c9575262ad6271571f5e9b266062ad


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -rvn python-volatility-2.2-2.fc20.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Python, Shell-api


----------------

Please ask upstream to fix the incorrect FSF address issue if possible.

Also the wrong perms problem should be solved.
Comment 12 Alon Levy 2013-09-16 06:37:03 EDT
Thanks for the review, here are the new source package and spec file:

https://gitorious.org/fedpkg-alon/python-volatility/source/5b1fb94a8da328e8450f0c54770d62cdcd5800e1:python-volatility-2.2-3.fc20.src.rpm

https://gitorious.org/fedpkg-alon/python-volatility/source/5b1fb94a8da328e8450f0c54770d62cdcd5800e1:python-volatility.spec

I've created issues upstream for both patches as well (see spec for links, too lazy to copy paste them here).
Comment 13 Christopher Meng 2013-09-16 07:08:17 EDT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

-->

%{__python2} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

APPROVED.
Comment 14 Alon Levy 2013-09-17 08:23:16 EDT
New Package SCM Request
=======================
Package Name: python-volatility
Short Description: Digital artifact extraction framework
Owners: alevy@redhat.com
Branches: f19 f20
InitialCC:
Comment 15 Alon Levy 2013-09-17 08:23:59 EDT
New Package SCM Request
=======================
Package Name: python-volatility
Short Description: Digital artifact extraction framework
Owners: alevy
Branches: f19 f20
InitialCC:
Comment 16 Alon Levy 2013-09-17 08:25:04 EDT
New Package SCM Request
=======================
Package Name: python-volatility
Short Description: Digital artifact extraction framework
Owners: alon
Branches: f19 f20
InitialCC:
Comment 17 Gwyn Ciesla 2013-09-17 08:38:11 EDT
Git done (by process-git-requests).
Comment 18 Christopher Meng 2013-09-23 20:44:22 EDT
I can't see import.
Comment 19 Mario Blättermann 2013-10-20 14:37:17 EDT
Packages for the requested branches have been built:
http://koji.fedoraproject.org/koji/packageinfo?packageID=17020
But where are the updates in Bodhi? Nothing fould yet.
Comment 20 Fedora Update System 2013-10-20 16:13:43 EDT
python-volatility-2.2-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-volatility-2.2-3.fc20
Comment 21 Fedora Update System 2013-10-20 16:14:34 EDT
python-volatility-2.2-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-volatility-2.2-3.fc19
Comment 22 Fedora Update System 2013-10-21 14:26:39 EDT
python-volatility-2.2-3.fc20 has been pushed to the Fedora 20 testing repository.
Comment 23 Christopher Meng 2013-11-20 22:33:30 EST
2.3.1 is out.

You haven't build it for rawhide.

ping after a month.
Comment 24 Fedora Update System 2013-11-21 02:36:54 EST
python-volatility-2.3.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-volatility-2.3.1-1.fc19
Comment 25 Fedora Update System 2013-11-21 02:38:02 EST
python-volatility-2.3.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-volatility-2.3.1-1.fc20
Comment 26 Alon Levy 2013-11-21 02:40:15 EST
Thanks for the ping, updated to 2.3.1, did updates for f19 & f20, did a build for rawhide.
Comment 27 Fedora Update System 2013-11-26 12:45:37 EST
python-volatility-2.3.1-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-volatility-2.3.1-2.fc20
Comment 28 Steve Grubb 2014-02-07 11:57:06 EST
Out of curiosity, why is this package not pushed?

# yum install python-volatility
No package python-volatility available.
Error: Nothing to do
Comment 29 Christopher Meng 2014-02-07 20:59:04 EST
(In reply to Steve Grubb from comment #28)
> Out of curiosity, why is this package not pushed?

He must be a RDO staff! LOL
Comment 30 Fedora Update System 2014-02-09 22:13:27 EST
python-volatility-2.3.1-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 31 Fedora Update System 2014-02-09 22:16:14 EST
python-volatility-2.3.1-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 32 Alon Levy 2014-06-09 07:24:02 EDT
Clearing already answered needinfo.

Note You need to log in before you can comment on or make changes to this bug.